Package com.oracle.truffle.api.object

## Interface Shape.Pred<T>

Type Parameters:
  `T` - the type of the input to the predicate

Enclosing class:
  Shape

    public static interface Shape.Pred<T>

Represents a predicate (boolean-valued function) of one argument. For Java 7 compatibility.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `test​(T t)` Evaluates this predicate on the given argument.

### Method Detail

#### test

    boolean test​(T t)

Evaluates this predicate on the given argument.

Parameters:
  `t` - the input argument
Returns:
  `true` if the input argument matches the predicate, otherwise `false`